cURL
curl -X POST https://api.rebellapp.com/v1/payments/inquiryPayment \
-H "Content-Type: application/json" \
-H "Client-Id: YOUR_CLIENT_ID" \
-H "Request-Time: 2024-01-10T12:00:00Z" \
-H "Signature: algorithm=SHA256withRSA, keyVersion=1, signature=BASE64_SIGNATURE" \
-d '{
"paymentId": "20220914595540652867492",
"paymentRequestId": "REQ_abc_123"
}'const response = await fetch('https://api.rebellapp.com/v1/payments/inquiryPayment', {
method: 'POST',
headers: {
'Content-Type': 'application/json',
'Client-Id': 'YOUR_CLIENT_ID',
'Request-Time': new Date().toISOString(),
'Signature': 'algorithm=SHA256withRSA, keyVersion=1, signature=BASE64_SIGNATURE'
},
body: JSON.stringify({
paymentId: '20220914595540652867492',
paymentRequestId: 'REQ_abc_123'
})
});
const data = await response.json();
console.log(data.paymentStatus); // SUCCESS, PROCESSING, or FAILimport requests
response = requests.post(
'https://api.rebellapp.com/v1/payments/inquiryPayment',
headers={
'Content-Type': 'application/json',
'Client-Id': 'YOUR_CLIENT_ID',
'Request-Time': '2024-01-10T12:00:00Z',
'Signature': 'algorithm=SHA256withRSA, keyVersion=1, signature=BASE64_SIGNATURE'
},
json={
'paymentId': '20220914595540652867492',
'paymentRequestId': 'REQ_abc_123'
}
)
data = response.json()
print(data['paymentStatus']) # SUCCESS, PROCESSING, or FAIL
{
"result": {
"resultCode": "<string>",
"resultMessage": "<string>"
},
"paymentId": "<string>",
"paymentRequestId": "<string>",
"paymentTime": "2023-11-07T05:31:56Z",
"paymentAmount": {
"currency": "<string>",
"value": 123
}
}{
"result": {
"resultCode": "<string>",
"resultMessage": "<string>"
}
}Payments
Inquiry Payment
Poll a payment to retrieve its latest status.
POST
/
v1
/
payments
/
inquiryPayment
cURL
curl -X POST https://api.rebellapp.com/v1/payments/inquiryPayment \
-H "Content-Type: application/json" \
-H "Client-Id: YOUR_CLIENT_ID" \
-H "Request-Time: 2024-01-10T12:00:00Z" \
-H "Signature: algorithm=SHA256withRSA, keyVersion=1, signature=BASE64_SIGNATURE" \
-d '{
"paymentId": "20220914595540652867492",
"paymentRequestId": "REQ_abc_123"
}'const response = await fetch('https://api.rebellapp.com/v1/payments/inquiryPayment', {
method: 'POST',
headers: {
'Content-Type': 'application/json',
'Client-Id': 'YOUR_CLIENT_ID',
'Request-Time': new Date().toISOString(),
'Signature': 'algorithm=SHA256withRSA, keyVersion=1, signature=BASE64_SIGNATURE'
},
body: JSON.stringify({
paymentId: '20220914595540652867492',
paymentRequestId: 'REQ_abc_123'
})
});
const data = await response.json();
console.log(data.paymentStatus); // SUCCESS, PROCESSING, or FAILimport requests
response = requests.post(
'https://api.rebellapp.com/v1/payments/inquiryPayment',
headers={
'Content-Type': 'application/json',
'Client-Id': 'YOUR_CLIENT_ID',
'Request-Time': '2024-01-10T12:00:00Z',
'Signature': 'algorithm=SHA256withRSA, keyVersion=1, signature=BASE64_SIGNATURE'
},
json={
'paymentId': '20220914595540652867492',
'paymentRequestId': 'REQ_abc_123'
}
)
data = response.json()
print(data['paymentStatus']) # SUCCESS, PROCESSING, or FAIL
{
"result": {
"resultCode": "<string>",
"resultMessage": "<string>"
},
"paymentId": "<string>",
"paymentRequestId": "<string>",
"paymentTime": "2023-11-07T05:31:56Z",
"paymentAmount": {
"currency": "<string>",
"value": 123
}
}{
"result": {
"resultCode": "<string>",
"resultMessage": "<string>"
}
}Authorizations
RSA SHA256 signature header. Example: Signature: algorithm=SHA256withRSA, keyVersion=0, signature=BASE64...
Rebell-assigned Client Id.
RFC3339 timestamp (e.g., 2019-05-28T12:12:00+08:00).
Body
application/json
⌘I